Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.grid.backend
Class GridToolkit

    java.lang.Object
      devisor2.grid.backend.GridToolkit

public class GridToolkit
extends java.lang.Object

This class provides some useful methods to handle objects on the grid. - Cutting / deleting - updating boundary information - fixing line elements after zooming - mirroring

Constructor Summary
`GridToolkit(MainFrame parent)`

Method Summary
`void` | `clearAllTransformedFlags()` clears the transformed flag of all elements, segments and nodes in the domain
`java.util.Vector` | `delete(java.util.Vector useless)` deletes the given GridItems.
`void` | `fixBoundingBoxes()` after zooming, fixes the bounding boxes of edges and segmentlines which must be updated as the tolerance factor in user coords has changed
`void` | `mirror(int x1, int y1, int x2, int y2)` mirrors all selected items at the line from (x1,y1) to (x2,y2)
`void` | `updateBoundaryCombos()` updates all comboboxes in the application which hold boundary numbers

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridToolkit

    public GridToolkit(MainFrame parent)

Method Detail

### delete

    public java.util.Vector delete(java.util.Vector useless)

  deletes the given GridItems. If nodes are selectable, all Boundary nodes are deleted without further delay, if nodes are not selectable, bns are transformed into regular nodes and permanently (!) lose all parametrisation, all element information is kept

  Parameters:
    `useless` - - the GridItems to be deleted
  Returns:
    a vector of implicitly deleted items, neccessary for undo

### clearAllTransformedFlags

    public void clearAllTransformedFlags()

  clears the transformed flag of all elements, segments and nodes in the domain

### updateBoundaryCombos

    public void updateBoundaryCombos()

  updates all comboboxes in the application which hold boundary numbers

### fixBoundingBoxes

    public void fixBoundingBoxes()

  after zooming, fixes the bounding boxes of edges and segmentlines which must be updated as the tolerance factor in user coords has changed

### mirror

    public void mirror(int x1,
                       int y1,
                       int x2,
                       int y2)

  mirrors all selected items at the line from (x1,y1) to (x2,y2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD